import type { Post } from '$lib/mastodon/response';
import type { PageLoad } from './$types';

export const load = (async ({ fetch, setHeaders }) => {
  const p = await fetch('/');
  setHeaders({
    'cache-control': 'public,max-age=60'
  });
  return {
    posts: (await p.json()) as Post[]
  };
}) satisfies PageLoad;
